Subject: bug#8549: 23.3; Undocumented setting of eval-expression-debug-on-error

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 15:18:15 +0200

Uday S Reddy <[email-masked]> writes:

> There is a tricky variable called `eval-expression-debug-on-error' which
> I didn't notice till recently.
>
> It is getting set automatically in lisp-interaction-mode and in the Lisp
> debugger.  The manual doesn't say anywhere that this is being done.
>
> I would prefer that it doesn't get set automatically, given that it has a
> tricky behavior.  In the light of my previous bug report #8548 that the
> debugger can't exit recursive editing levels, making any kind of typing
> mistake while working with the debugger puts it in a recursive editing level
> where it gets stuck.
>
>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8548
>
> If you don't want to change the lisp-interaction-mode and the debugger-mode,
> can you at least document it in the manual that the variable gets set in
> these modes so that the users can unset it in the mode-hooks?  I have
> suffered for several years needlessly.

I've now mentioned this in the manual, but I've been trying to grep
through the code and see why/where this is done, and I'm coming up
empty.

Does anybody know?  And is this a feature or a bug?
`eval-expression-debug-on-error' doesn't sound like something that
should affect `M-x debug', and the other `eval-expression-' variables
are not heeded by doing `M-x debug'.  So it seems inconsistent and
somewhat confusing.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/